%global packname  rgdal
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.1.1
Release:          1%{?dist}
Summary:          Bindings for the Geospatial Data Abstraction Library
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_1.1-1.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   R-methods R-sp
# Imports:   R-grDevices R-graphics R-stats R-utils
# Suggests:  
# LinkingTo:
# Enhances:


Requires:         R-methods R-sp 
Requires:         R-grDevices R-graphics R-stats R-utils 
# See README
Requires:         proj-epsg proj-nad

BuildRequires:    R-devel tex(latex) R-methods R-sp
BuildRequires:    R-grDevices R-graphics R-stats R-utils
BuildRequires:    gdal-devel proj-devel
BuildRequires:    proj-epsg proj-nad


%description
Provides bindings to Frank Warmerdam's Geospatial Data Abstraction Library
(GDAL) (>= 1.6.3) and access to projection/transformation operations from
the PROJ.4 library. The GDAL and PROJ.4 libraries are external to the
package, and, when installing the package from source, must be correctly
installed first. Both GDAL raster and OGR vector map data can be imported
into R, and GDAL raster data and OGR vector data exported. Use is made of
classes defined in the sp package. Windows and Mac Intel OS X binaries
(including GDAL, PROJ.4 and Expat) are provided on CRAN.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
# Fails with:
# Error in ogrInfo(dsn = dsn, layer = layer, encoding = encoding, use_iconv = use_iconv,  : 
#   Cannot open file
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%{!?_licensedir:%global license %%doc}
%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/etc
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/pictures
%{rlibdir}/%{packname}/vectors
%{rlibdir}/%{packname}/ChangeLog
%license %{rlibdir}/%{packname}/LICENSE.TXT
%{rlibdir}/%{packname}/OSGeo4W_test
%{rlibdir}/%{packname}/README
%exclude %{rlibdir}/%{packname}/README.windows
%{rlibdir}/%{packname}/SVN_VERSION


%changelog
* Thu Dec 17 2015 Dave Love <loveshack@fedoraproject.org> - 1.1.1-1
- Initial packaging
